<!--#include file="admin_cook.asp"-->
<!--#include file="../conn.asp"-->
<!--#include file="inc/page_class.asp"-->
<!--#include file="inc/Function.asp"-->
<HTML>
<HEAD>
<TITLE>内容管理 - 管理页面</TITLE>
<LINK href="images/Style.css" type=text/css rel=stylesheet>
<META content="MSHTML 6.00.2900.5512" name=GENERATOR>
<style type="text/css">
<!--
#KeyWord {
	margin: 0px;
	padding-top: 0px;
	padding-right: 0px;
	padding-bottom: 10px;
	padding-left: 0px;
}
.tableborder #KeyWord {
	padding: 0px;
	clear: both;
	float: none;
	height: 17px;
	margin-top: 0px;
	margin-right: 0px;
	margin-bottom: 7px;
	margin-left: 0px;
	border: 1px solid #0099FF;
}
-->
</style>
</HEAD>
<script language="javascript">
function CheckAll(form)  
{
  for (var i=0;i<form.elements.length;i++)    
  {
    var e = form.elements[i];
    if (e.name != 'chkall')
	e.checked = form.chkall.checked; 
  }
}
function CheckOne()
{   
	var   flag=false;   
	var   ID=document.getElementsByName("ID");   
	for(i=0;i<ID.length;i++)
	{   
		if (ID(i).checked)
		{   
			flag=true;   
			break;   
		}   
	}   
	if (!flag)   
	{     
	  alert('请至少选择一条记录！');
	  return false;   
	}      
}   
</script>
<BODY bottomMargin=0 leftMargin=0 topMargin=0 rightMargin=0>
<BR style="OVERFLOW: hidden; LINE-HEIGHT: 3px">
<TABLE class=tableBorder cellSpacing=1 cellPadding=2 align=center border=0>
<TBODY>
<TR>
<TH width="387">内容管理</TH>
</TR>
<TR height=25>
<TD class=TableRow1 align=left><B>操作说明：</B>
<BR>①、你可以任意增加内容,然后此做相应的操作. 
</TD></TR>
<TR height=25>
<TD class=TableRow1 align=left><B>内容导航：</B> 
<A href="?act=manage">管理内容</A> | 
<A class=showmeun href="?act=add">添加内容</A>| <A class=showmeun href="?act=listcat">管理分类</A> | <A class=showmeun href="?act=addcat">添加分类</A></TD>
</TR></TBODY></TABLE><BR>
<%
action=request("act")
select case action
case "addokcat": 
call addokcat()
case "addcat":
call addcat()
case "editcat":
call editcat()
case "editokcat": 
call editokcat()
case "listcat":
call listcat()
case "delcat":
call delcat()
case "del":
call del()
case "add":
call add()
case "save": 
call save()
case "edit":
call edit()
case "manage": 
call manage()
case "modify":
call modify()
case "fenlei":
call fenlei()
end select
sub addcat()
%>
<TABLE width="100%" border=0 align=center cellPadding=3 cellSpacing=1 class=tableBorder>
  <FORM name="form" action="?act=addokcat" method=post>
    <TBODY>
      <TR>
        <TH colSpan=3>添加内容分类</TH>
      </TR>
      <TR>
        <TD class=TableRow1 align=right width="28%"><div align="center"></div></TD>
        <TD width="31%" align=left class=TableRow1><div align="center">
          分类名称：
            <input name="a_flname" type="text" size="20">        
        </div></TD>
        <TD class=TableRow1 align=left width="41%"><div align="left">自定分类ID：
          <input name="a_flid" type="text" size="10">
          <span class="style1">*ID为数字</span> （1-5 ） </div></TD>
      </TR>
      <TR>
        <TD class=TableRow2 align=middle colSpan=3><div align="center">
          <INPUT class=button type=submit value=" 添 加 " name=Submit4>
          <INPUT class=button type=reset value=" 重 填 " name=Submit24>        
        </div></TD>
      </TR>
  </FORM>
</TABLE>
<%
end sub
sub addokcat()
call addcat()
dim rs2,sql2
a_flname=Trim(request("a_flname"))
a_flid=Trim(request("a_flid"))
set rs2=Server.CreateObject("ADODB.RecordSet")
sql2="select * from news where a_flname='"&a_flname&"'"
rs2.Open sql2,conn,1,1
if not (rs2.eof and rs2.BOF) then
a_flid=rs2("a_flid")
Response.Write("<script language=javascript>alert('你填写的分类ID已经存在\请重新填写');history.back(1);</script>")
Response.End
end if

rs2.Close
set rs2=nothing
set rs=Server.CreateObject("ADODB.RecordSet")
rs.Open"select * from news",conn,1,3
if request.Form("a_flid")="" then
Response.Write("<script language=javascript>alert('你必须填写分类ID');history.back(1);</script>")
Response.End
else
if Request.Form("a_flid")>5 then
Response.Write("<script language=javascript>alert('分类ID不可大于6');history.back(1);</script>")
Response.End
end if
end if
rs.AddNew
rs("a_flname")=Request.Form("a_flname")
rs("a_flid")=Request.Form("a_flid")
rs.Update
rs.Close
Succeed("<li>添加内容分类成功</li>")
end sub
sub editcat()
sql="select * from news where a_flid="&request.QueryString("id")
set rs=Server.CreateObject("ADODB.RecordSet")
rs.Open sql,conn,1,1
%>
<TABLE width="100%" border=0 align=center cellPadding=3 cellSpacing=1 class=tableBorder>
  <FORM name="form" action="?act=editokcat&id=<%=rs("a_flid")%>" method=post>
    <TBODY>
      <TR>
        <TH colSpan=3>修改内容分类</TH>
      </TR>
      <TR>
        <TD class=TableRow1 align=right width="30%">&nbsp;</TD>
        <TD width="32%" align=left class=TableRow1>分类名称：
        <input name="a_flname" type="text" size="20" value="<%=rs("a_flname")%>"></TD>
        <TD align=left class=TableRow1>自定分类ID：
          <input name="a_flid" type="text" value="<%=rs("a_flid")%>" size="10">
          <span class="style1">*ID为数字</span></TD>
      </TR>
      <TR>
        <TD class=TableRow2 align=middle colSpan=3><div align="center">
          <INPUT class=button type=submit value=" 修 改 " name=Submit5>
          <INPUT class=button type=reset value=" 重 填 " name=Submit25>        
        </div></TD>
      </TR>
  </FORM>
  </TBODY>
</TABLE>
<%
set rs=nothing
end sub
sub editokcat()
call EditCat()
a_flid=Request.Form("a_flid")
if a_flid>6 then
Response.Write("<script language=javascript>alert('分类ID不可大于6');history.back(1);</script>")
Response.End
end if
sql="select * from news where a_flid="&request.QueryString("id")
set rs=server.CreateObject("ADODB.RecordSet")
rs.Open sql,conn,1,3
rs("a_flname")=Request.Form("a_flname")
rs("a_flid")=Request.Form("a_flid")
rs.Update
rs.Close
set rs=nothing
conn.Close
set conn=nothing
Succeed("<li>修改内容分类成功</li>")
end sub
sub listcat()
%>
<TABLE class=tableborder cellSpacing=1 cellPadding=3 align=center border=0>
  <TBODY>
    <TR>
     
    </TR>
    <TR>
      <TH width="20%">文章分类编号</TH>
      <TH width="50%">文章分类类型</TH>
      <TH noWrap width="30%">操作选项</TH>
    </TR>
    <%
Set rs=Server.Createobject("Adodb.Recordset")
sql="select * from news where a_flid<6"
rs.open sql,conn,1,1
do while not rs.EOF
%>
  <FORM name=delform action="?act=delcat&id=<%=rs("a_flid")%>" method=post>
    <TR>
      <TD class=TableRow2 align=center><%=rs("a_flid")%></TD> 
      <TD class=TableRow2 align=center onMouseOver="this.style.backgroundColor='#E4A9ED'" onMouseOut="this.style.backgroundColor=''">★ ★ ★ <A class=showmeun href="?act=fenlei&a_flid=<%=rs("a_flid")%>"><%=rs("a_flname")%></A> ★ ★ ★</TD>
      <TD class=TableRow2 align=middle><INPUT class=Button onClick="return confirm('您确定要删除选定的吗?');" type=submit value=删除 name=Submit26>
          <INPUT class=button onClick="javascript:location.href='?act=editcat&id=<%=rs("a_flid")%>'" type=button value=修改 name=Submit12>      </TD>
    </TR>
  </form>
  <%
rs.MoveNext
loop
if rs.EOF and rs.BOF then
%>
  <TR>
    <TD colspan="5" align=middle class=TableRow2> 当前还没有添加内容分类 </TD>
  </TR>
  <%
end if
%>
  </TBODY>
</TABLE>
<%
end sub
sub delcat()
sql="delete from news where a_flid="&request.QueryString("id")
conn.Execute(sql)
conn.Close
set conn=nothing
Succeed("<li>删除文章分类成功</li>")
end sub
sub add()
%>
<TABLE width="91%" border=0 align=center cellPadding=3 cellSpacing=1 class=tableBorder>
<FORM name="form" action="?act=save" method=post>
<TBODY>
<TR>
<TH colSpan=4>添加内容</TH></TR>
<TR>
<TD class=TableRow1 align=right width="17%">内容标题：</TD>
<TD colspan="3" align=left class=TableRow1>
<input name="a_Title" type="text" id="a_Title" size="50"></TD>
</TR>
<TR>
  <TD class=TableRow1 align=right>内容分类：</TD>
  <TD colspan="3" align=left class=TableRow1><%
  dim rsa,sqla
sqla="select * from news where a_flid"
set rsa=Server.CreateObject("ADODB.RecordSet")
rsa.Open sqla,conn,1,1
%> 
    <select name="a_flid">
      <%
do while not rsa.EOF
%>
      <option value="<%=rsa("a_flId")%>"><%=rsa("a_flname")%></option>
      <%
rsa.MoveNext
loop
if rsa.EOF and rsa.BOF then
%>
      <option>当前还没有分类</option>
      <%
end if
%>
    </select>    <select name="a_flname">
	<%
sqla="select * from news where a_flid"
set rsa=Server.CreateObject("ADODB.RecordSet")
rsa.Open sqla,conn,1,1
%> 
      <%
do while not rsa.EOF
%>
      <option value="<%=rsa("a_flname")%>"><%=rsa("a_flname")%></option>
      <%
rsa.MoveNext
loop
if rsa.EOF and rsa.BOF then
%>
      <option>当前还没有分类</option>
      <%
end if
%>
    </select></TD>
</TR>
<TR style="display:none;">
<TD class=TableRow1 align=right>内容入录：</TD>
<TD colspan="3" align=left class=TableRow1>
<input name="a_Name" type="text" id="index" size="18">
<input type="button" value="asp博客" class="Button" onClick="index.value='asp博客'">
<input type="button" value="admin" class="Button" onClick="index.value='admin'"></TD>
</TR>
<TR>
<TD class=TableRow1 align=right>内容内容：</TD>
<TD colspan="3" align=left class=TableRow1><iframe id="eWebEditor1" src="../editor/ewebeditor.asp?id=rz_contents&style=s_coolblue" frameborder="0" scrolling="no" width="550" height="350"></iframe>
  <textarea name="a_content" cols="60" rows="5" id="rz_Contents" style="display:none"></textarea></TD>
</TR>
<tr style="display:none;">
  <td class="TableRow2" align="middle"><div align="center"><span class="TableRow1">图片地址：</span></div></td>
  <td colspan="3" align="middle" class="TableRow2"><div align="left"><span class="TableRow1">
    <input name="img" type="text" size="50" />
  </span></div></td>
</tr>
<TR style="display:none;">
  <TD class=TableRow2 align=middle></TD>
  <TD colspan="3" align=middle class=TableRow2><iframe frameborder="0" align="left" width="300" height="28" scrolling="No" src="../upload.asp?action=img"></iframe>
  </TD>
  </TR>
<TR >
<TD class=TableRow2 align=middle></TD>
<TD width="11%" align=middle class=TableRow2>&nbsp;</TD>
<TD width="13%" align=middle class=TableRow2>
  <div align="left">
    <input class=button type=submit value=" 添 加 " name=Submit3>
  </div></TD><TD width="59%" align=middle class=TableRow2><div align="left">
  <input class=button type=reset value=" 重 填 " name=Submit22>
</div></TD>
</TR>
</FORM>
</TBODY>
</TABLE>
<%
end sub
sub save()
set rs=Server.CreateObject("ADODB.RecordSet")
rs.Open"select * from news",conn,1,3
rs.AddNew
rs("a_Title")=Request.Form("a_Title")
rs("a_content")=Request.Form("a_content")
rs("a_msgflid")=Request.Form("a_flid")
rs("a_flname")=Request.Form("a_flname")
rs.Update
rs.Close
Set rs=nothing
Succeed("<li>添加内容成功</li>")
response.End
end sub
sub manage()
%>
<TABLE width="100%" border=0 align=center cellPadding=3 cellSpacing=1 class=tableborder>
<TBODY>
<TR>
  <TH colspan="7"><div id="KeyWord"><form action="" method="post"><input name="KeyWord" type="text" id="KeyWord" value="" size="40">
		<input name="image" type="image"  style="margin-top:8px" src="../images/sou.gif" />
		<input name="work" type="hidden" value="shou">
      </form></div></TH>
  </TR>
<TR>
<TH width="7%">选择</TH>
<TH width="8%">编号</TH>
<TH colspan="2">标题</TH>
<TH width="16%">分类</TH>

<TH noWrap width="8%">操作选项</TH>
</TR>
<%
'===========================分页设置===========================

if Request("work")="shou" then
			Dim RS1, Sql1
            KeyWord		=	Request("KeyWord")
			end if
			If KeyWord="" Then
				sql1="Select * From news where a_msgflid"
			Else
				sql1="Select * From news Where a_title like '%"& KeyWord &"%' or a_flname like '%"& KeyWord &"%'order by a_msgflid desc"
			End If
			set rs1=createobject("adodb.recordset")
            rs1.open sql1,conn,1,1

Dim Obj_CreatePage
Set Obj_CreatePage = New Impression_Page
'/*得到数据连接对象*/
Obj_CreatePage.GetConn = conn
'/*得到Sql查询语句*/
Obj_CreatePage.GetSQL = Sql1
'/*设置每页显示条数*/
Obj_CreatePage.PageSize = 20
'/*分页导航(1为有数字,2为无数字)*/
Obj_CreatePage.Page_NavType = 2
'/*分页的文件地址,可提前构造好,支持多参数传递!*/
Obj_CreatePage.File_Path = "?act=manage&a_id="&request.QueryString("a_id")
Set rs1 = Obj_CreatePage.GetRs()
If Not(rs1.Bof and rs1.Eof) Then
For I = 1 to Obj_CreatePage.PageSize
If rs1.Eof Then
	Exit For
End If
%>
<form action="?act=del" method="post" name="delform" id="delform">
<TR>
<TD class=TableRow2 align=center><label>
  <input type="checkbox" name="ID" value="<%=rs1("a_id")%>">
</label></TD>
<TD align=center class=TableRow2><%=rs1("a_id")%></TD>
<TD colspan="2" align=left class=TableRow2 onMouseOver="this.style.backgroundColor='#E4A9ED'" onMouseOut="this.style.backgroundColor=''">·<a href="../brand.asp?a_id=<%=rs1("a_id")%>&a_flid=<%=rs1("a_msgflid")%>" title="<%=rs1("a_title")%>" target="_blank"><%=rs1("a_title")%></a></TD>
<TD align=left class=TableRow2><div align="center">★ <A class=showmeun href="?act=fenlei&a_flid=<%=rs1("a_msgflid")%>"><%=rs1("a_flname")%></A> ★</div></TD>

<TD class=TableRow2 align=middle><INPUT class=button onClick="javascript:location.href='?act=edit&a_id=<%=rs1("a_id")%>'" type=button value=修改 name=Submit1></TD>
</TR>

<%
'******************上面是你要显示的******************'
rs1.MoveNext
Next
%>
<TR>
  <TD colspan="3" align=middle class=TableRow2>&nbsp;</TD>
  <TD colspan="2" align=middle class=TableRow2><div align="left">
    <input type="checkbox" name="chkall" id="chkall" onClick="CheckAll(this.form);" style="border:0px;" />
    全选
    <input name="image" type="image" style="width:94px; height:20px; border:0px;" onClick="return CheckOne();" src="../images/del_all.jpg" />
  </div></TD>
  <TD colspan="2" align=middle class=TableRow2>&nbsp;</TD>
  </TR>
  </FORM>
<TR>
<TD colspan="7" align=middle class=TableRow2>
<%Obj_CreatePage.Page_Navigation()%></TD>
</TR>
<%
Set Obj_CreatePage = Nothing
Else
%>
<TR>
<TD colspan="13" align=middle class=TableRow2>
当前还没有添加内容</TD>
</TR>
<%End If%>
</TABLE>

<%
end sub
sub del()
a_ID=request("ID")

for each ss in request("ID")
set rs=createobject("adodb.recordset")
sql="delete from news where a_id="&ss
    rs.open sql,conn,1,3
	next
Succeed("<li>删除内容成功</li>")
response.End
end sub
%>
<%
sub edit()
a_ID=Request("a_ID")
dim rs2
	set rs2=Server.CreateObject("ADODB.RecordSet")
    sql="select * from news where a_ID="&a_ID
	Rs2.open Sql,Conn,1,1
		if rs2.eof then
else
a_flid=rs2("a_msgflid")
%>
<TABLE width="684" border=0 align=center cellPadding=3 cellSpacing=1 class=tableBorder>
<FORM name="form" action="?act=modify&a_id=<%=rs2("a_id")%>" method=post>
<TBODY>
<TR>
<TH colSpan=4>修改内容</TH></TR>
<TR>
<TD width="13%" align=right class=TableRow1>内容标题：</TD>
<TD colspan="3" align=left class=TableRow1>
<input name="a_Title" type="text" size="50" value="<%=rs2("a_Title")%>"></TD>
</TR>
<TR>
  <TD align=right class=TableRow1>内容分类：</TD>
  <TD colspan="3" align=left class=TableRow1><select name="a_msgflid"><%
sql="select * from news  where a_flid="&a_flid
set rs=Server.CreateObject("ADODB.RecordSet")
rs.Open sql,conn,1,1
%>
  <option value="<%=rs("a_flId")%>"><%=rs("a_flName")%></option>
<% 
rs.close
set rs=nothing
%>
<% 
sql="select * from news where a_flid<6"
set rs=Server.CreateObject("ADODB.RecordSet")
rs.Open sql,conn,1,1
do while not rs.EOF
%>
    <option value="<%=rs("a_flId")%>" <%if rs2("a_msgflid")=rs("a_flid") then response.write "selected='selected'"%>><%=rs("a_flName")%></option>
<%
rs.MoveNext
loop
rs.Close
set rs=nothing
%>
</select><select name="a_flname"><%
sql="select * from news  where a_flid="&a_flid
set rs=Server.CreateObject("ADODB.RecordSet")
rs.Open sql,conn,1,1
%>
  <option value="<%=rs("a_flname")%>"><%=rs("a_flName")%></option>
<% 
rs.close
set rs=nothing
%>
<% 
sql="select * from news where a_flid<6"
set rs=Server.CreateObject("ADODB.RecordSet")
rs.Open sql,conn,1,1
do while not rs.EOF
%>
    <option value="<%=rs("a_flname")%>" <%if rs2("a_msgflid")=rs("a_flid") then response.write "selected='selected'"%>><%=rs("a_flName")%></option>
<%
rs.MoveNext
loop
rs.Close
set rs=nothing
%>
</select></TD>
</TR>
<TR style="display:none;">
<TD align=right class=TableRow1>内容入录：</TD>
<TD colspan="3" align=left class=TableRow1>
  <input type="button" value="asp博客" class="Button" onClick="index.value='asp博客'">
<input type="button" value="admin" class="Button" onClick="index.value='admin'"></TD>
</TR>
<TR>
<TD align=right class=TableRow1>内容内容：</TD>
<TD colspan="3" align=left class=TableRow1><iframe id="eWebEditor1" src="../editor/ewebeditor.asp?id=rz_contents&style=s_coolblue" frameborder="0" scrolling="no" width="550" height="350"></iframe>
<textarea name="a_content" cols="60" rows="5" id="rz_Contents" style="display:none"><%=rs2("a_Content")%></textarea></TD>
</TR>
<tr style="display:none;">
  <td class="TableRow2" align="middle"><div align="center"><span class="TableRow1">图片地址：</span></div></td>
  <td colspan="3" align="middle" class="TableRow2"><div align="left"><span class="TableRow1">
    <input name="img" type="text" size="50" value="<%=rs2("img")%>"/>
  </span></div></td>
</tr>
<TR style="display:none;">
  <TD class=TableRow2 align=middle></TD>
  <TD colspan="3"  align=middle class=TableRow2><iframe frameborder="0"  align="left" width="300" height="28" scrolling="No" src="../upload.asp?action=img"></iframe>
   </TD>
  </TR>
<TR>
<TD align=middle class=TableRow2></TD>
<TD width="14%" align=middle class=TableRow2>&nbsp;</TD>
<TD width="17%" align=middle class=TableRow2>
  <div align="left">
    <input class=button type=submit value=" 修 改 " name=Submit>
  </div></TD><TD width="56%" align=middle class=TableRow2><div align="left">
  <input class=button type=reset value=" 重 填 " name=Submit23>
</div></TD>
</TR>
</FORM>
<tr>
</TABLE>
<%
end if
set rs=nothing
end sub
sub modify()
Dim rs3,sql3
sql3="select * from news where a_id="&request.QueryString("a_id")
set rs3=server.CreateObject("ADODB.RecordSet")
rs3.Open sql3,conn,1,3
rs3("a_Title")=Request.Form("a_Title")
rs3("a_Content")=Request.Form("a_Content")
rs3("a_msgflid")=Request.Form("a_msgflid")
rs3("a_flname")=Request.Form("a_flname")
rs3("a_time")=now()
rs3.Update
Succeed("<li>修改内容成功</li>")
response.End
rs3.Close
set rs3=nothing
end sub
sub fenlei()
%>

<TABLE width="100%" border=0 align=center cellPadding=3 cellSpacing=1 class=tableborder>
<TBODY>
<TR>
  <TH colspan="7"><div id="KeyWord"><form action="" method="post"><input name="KeyWord" type="text" id="KeyWord" value="" size="40">
		<input name="image" type="image"  style="margin-top:8px" src="../images/sou.gif" />
		<input name="work" type="hidden" value="shou">
      </form></div></TH>
  </TR>
<TR>
<TH width="7%">选择</TH>
<TH width="8%">编号</TH>
<TH colspan="2">内容标题</TH>
<TH width="16%">分类</TH>

<TH noWrap width="8%">操作选项</TH>
</TR>
<%
'===========================分页设置===========================
if Request("work")="shou" then
			Dim RS1, Sql1
            KeyWord		=	Request("KeyWord")
			end if
			If KeyWord="" Then
				sql1="Select * From news where a_msgflid="&request.QueryString("a_flid")
			Else
				sql1="Select * From news Where a_title like '%"& KeyWord &"%' or a_flname like '%"& KeyWord &"%'order by a_msgflid desc"
			End If
			set rs1=createobject("adodb.recordset")
            rs1.open sql1,conn,1,1

Dim Obj_CreatePage
Set Obj_CreatePage = New Impression_Page
'/*得到数据连接对象*/
Obj_CreatePage.GetConn = conn
'/*得到Sql查询语句*/
Obj_CreatePage.GetSQL = Sql1
'/*设置每页显示条数*/
Obj_CreatePage.PageSize = 20
'/*分页导航(1为有数字,2为无数字)*/
Obj_CreatePage.Page_NavType = 2
'/*分页的文件地址,可提前构造好,支持多参数传递!*/
Obj_CreatePage.File_Path = "?act=manage&a_flid="&request.QueryString("a_flid")
Set rs1 = Obj_CreatePage.GetRs()
If Not(rs1.Bof and rs1.Eof) Then
For I = 1 to Obj_CreatePage.PageSize
If rs1.Eof Then
	Exit For
End If
%>
<form action="?act=del" method="post" name="delform" id="delform">
<TR>
<TD class=TableRow2 align=center><label>
  <input type="checkbox" name="ID" value="<%=rs1("a_id")%>">
</label></TD>
<TD align=center class=TableRow2><%=rs1("a_id")%></TD>
<TD colspan="2" align=left class=TableRow2  onMouseOver="this.style.backgroundColor='#E4A9ED'" onMouseOut="this.style.backgroundColor=''">·<a href="../news.asp?a_id=<%=rs1("a_id")%>&a_msgflid=<%=rs1("a_msgflid")%>" title="<%=rs1("a_title")%>" target="_blank"><%=rs1("a_title")%></a></TD>
<TD align=left class=TableRow2><div align="center">★ <%=rs1("a_flname")%> ★</div></TD>

<TD class=TableRow2 align=middle><INPUT class=button onClick="javascript:location.href='?act=edit&a_id=<%=rs1("a_id")%>'" type=button value=修改 name=Submit1></TD>
</TR>

<%
'******************上面是你要显示的******************'
rs1.MoveNext
Next
%>
<TR>
  <TD colspan="3" align=middle class=TableRow2>&nbsp;</TD>
  <td colspan="2" align="center" class="TableRow2"><input type="checkbox" name="chkall" id="chkall" onClick="CheckAll(this.form);" style="border:0px;" />
    全选
      <input name="image" type="image" style="width:94px; height:20px; border:0px;" onClick="return CheckOne();" src="../images/del_all.jpg" /></td>
  <TD colspan="2" align=middle class=TableRow2>&nbsp;</TD>
  </TR>
  </FORM>
<TR>
<TD colspan="7" align=middle class=TableRow2>
<%Obj_CreatePage.Page_Navigation()%></TD>
</TR>
<%
Set Obj_CreatePage = Nothing
Else
%>
<TR>
<TD colspan="13" align=middle class=TableRow2>
当前还没有添加内容</TD>
</TR>
<%End If%>
</TABLE>
<%end sub
%>
</BODY>
</HTML>
<%
set conn=nothing
%>